# Copyright 2024 Code17 GmbH
#
# This file is licensed under the Elastic License 2.0 (ELv2).
# Refer to the LICENSE.txt file in the root of the repository
# for details.
#


"""
Determines the logging level of the getML library.

Logs generated by getML are either on the level WARNING or
INFO.
"""

import logging

MIGHT_TAKE_LONG = "INFO [MIGHT TAKE LONG] "

logger = logging.getLogger("getML logger")
logger.setLevel(logging.DEBUG)
ch = logging.StreamHandler()
ch.setLevel(logging.DEBUG)
formatter = logging.Formatter("%(message)s")
ch.setFormatter(formatter)
logger.addHandler(ch)
